﻿using System.Data.Entity.Validation;
using System.Data.Entity;
using System.Data;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FlexGridIntro.Models;
using C1.Web.Mvc;
using Newtonsoft.Json.Linq;
using Sample.Models;
using C1.Web.Mvc.Serialization;
using System.Threading;

namespace FlexGridIntro.Controllers
{
    public class GridProps
    {
        public List<Person> Data { get; set; }
        public List<Column> Columns { get; set; }
    }
    public class HomeController : Controller
    {
        public List<Person> People { get; set; } = SampleData.GetData(5).ToList();
        public ActionResult Index()
        {
            return View(new GridProps() { Data = People, Columns = GetColumns() });
        }

        private List<Column> GetColumns()
        {
            List<Column> columns = new List<Column>();
            columns.Add(new Column() { Binding = "ID", Header = "ID" });
            columns.Add(new Column() { Binding = "First", Header = "First" });
            columns.Add(new Column() { Binding = "Last", Header = "Last" });
            columns.Add(new Column() { Binding = "Hired", Header = "Hired" });
            return columns;
        }
        public ActionResult RemoteBind_Read([C1JsonRequest] CollectionViewRequest<Person> requestData)
        {
            Thread.Sleep(1000); // For Delay
            return this.C1Json(CollectionViewHelper.Read(requestData,People));
        }
        public ActionResult GridUpdate([C1JsonRequest]CollectionViewEditRequest<Person> requestData)
        {
            return Update(requestData, People);
        }

        private ActionResult Update<T>(CollectionViewEditRequest<T> requestData, List<T> data) where T : class
        {
            return this.C1Json(CollectionViewHelper.Edit<T>(requestData, item =>
            {
                string error = string.Empty;
                bool success = true;
                try
                {
                    var div = 0;
                    var i = 12 /div;
                }
               
                catch (Exception e)
                {
                    error = e.Message;
                    success = false;
                }
                return new CollectionViewItemResult<T>
                {
                    Error = error,
                    Success = success && ModelState.IsValid,
                    Data = item
                };
            }, () => data.ToList<T>()));
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";
            return View();
        }
    }
}