﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FlexGridIntro.Models
{
    public class DC101VM
    {
        public virtual IEnumerable<DC101Entity> dc101DataList { get; set; }

        public DC101VM()
        {
            dc101DataList = new HashSet<DC101Entity>();
        }

    }
    public class DC101Entity
    {
        #region 表

        /// <summary>
        /// №	/	No	/	No
        /// </summary>
        
        public int ROWNUM { get; set; }

        /// <summary>
        /// 登録№	/	Order#	/	登録No
        /// </summary>
        
        public string TOROKU_NO { get; set; }

        /// <summary>
        /// 工事№	/	Job#	/	工事No
        /// </summary>
        
        public string KOJI_NO { get; set; }

        /// <summary>
        /// 工事名	/	Job Name	/	工事名
        /// </summary>
        
        public string KOJI_NAME { get; set; }

        /// <summary>
        /// 決裁番号
        /// </summary>
        
        public string KESSAI_NO { get; set; }

        /// <summary>
        /// 管理番号
        /// </summary>
        
        public string KIBAN { get; set; }

        /// <summary>
        /// 設申金額(予算)
        /// </summary>
        
        public decimal? SESSIN_KIN { get; set; }

        /// <summary>
        /// 積上金額(実績)
        /// </summary>
        
        public decimal? TSUMIAGE_KIN { get; set; }

        /// <summary>
        /// 比率
        /// </summary>
        
        public decimal? HIRITSU { get; set; }

        /// <summary>
        /// 完成予定日
        /// </summary>
        
        public DateTime? KANSEI_YOTEI_DATE { get; set; }

        /// <summary>
        /// 完成実績日
        /// </summary>
        public DateTime? KOJI_KANSEI_DATE { get; set; }

        /// <summary>
        /// 状況 Code
        /// </summary>
        public string KOJI_STATUS_CODE { get; set; }

        #endregion

        #region サイドメニュー用
        /// <summary>
        /// 設備区分	/	(未定)	/	(未定)
        /// </summary>
        public string SETSUBI_KBN { get; set; }

        /// <summary>
        /// 製作見積	/	(未定)	/	(未定)
        /// </summary>
        public long SEISAKU_MITUMORI { get; set; }
        #endregion

        #region 画面表示のみ マッピングしない

        public string LinkKojiNo { get; set; }

        public int ACTION_NO { get; set; } = 0;

        #endregion

    }
}